// All comman functions
// Sébastien Gendre <seb@k-7.ch>

#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

/* Equivalent to a function that would do perror and exit
   The do /while is a trick so that the macro can be executed in all kind of context
   (e.g. in a if without brackets)

   Parameters:
   - msg: A message to print
*/
#define die_errno(msg) do { perror(msg); exit(errno); } while (0)

#endif /* COMMON_H */
