// All things related to interfaces (user input, user output, files, etc)
// Sébastien Gendre <seb@k-7.ch>

#ifndef INTERFACES_H
#define INTERFACES_H

#include <stdbool.h>
#include <string.h>
#include <stdio.h>
#include "common.h"
#include "prompt.h"
#include "command.h"

/* Wait for the user input and attach the read input as string on the given argument

   Parameters:
   - user_input: a string with the user input. The user should take care of the
   allocation.
   Return: 
   0 if an empty input was given, -1 if the function failed to read stdin
*/
int interface_ask_user_input(char* user_input);

/* Print command for debugging

   Parameters:
   - cmd: The command to print

 */
void interface_print_command(cmd_t* cmd);

#endif /* INTERFACES_H */
